import Vue from 'vue'
import VueRouter from 'vue-router'
import childrenRouters from "@/router/ChildrenRoutes";

Vue.use(VueRouter)

let mainRouterChildren = [];
mainRouterChildren = mainRouterChildren.concat(childrenRouters);

const routes = [
  {
    path: '/',
    name: 'MainLayout',
    component: () => import('../views/MainLayout.vue'),
    children: mainRouterChildren
  }
]

const router = new VueRouter({
  routes
})

export default router
